# Class CCPActionGroup

java.lang.Object
org.eclipse.ui.actions.ActionGroup
org.eclipse.jdt.ui.actions.CCPActionGroup

public class CCPActionGroup extends org.eclipse.ui.actions.ActionGroup
Action group that adds copy, cut, paste, and delete actions to a view part's context menu and installs handlers for the corresponding global menu actions.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`CCPActionGroup(org.eclipse.ui.IViewPart part)`
Creates a new `CCPActionGroup`.
`CCPActionGroup(org.eclipse.ui.IViewPart part, boolean includeOnlyCopyActions)`
Creates a new `CCPActionGroup`.
`CCPActionGroup(org.eclipse.ui.IWorkbenchSite site, org.eclipse.jface.viewers.ISelectionProvider specialSelectionProvider)`
Creates a new `CCPActionGroup`.
`CCPActionGroup(org.eclipse.ui.part.Page page)`
Creates a new `CCPActionGroup`.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`fillActionBars(org.eclipse.ui.IActionBars actionBars)`
`void`
`fillContextMenu(org.eclipse.jface.action.IMenuManager menu)`
`org.eclipse.jface.action.IAction`
`getDeleteAction()`
Returns the delete action managed by this action group.

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`getContext, setContext, updateActionBars`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CCPActionGroup

public CCPActionGroup(org.eclipse.ui.IViewPart part, boolean includeOnlyCopyActions)
Creates a new `CCPActionGroup`. The group requires that the selection provided by the view part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group
  `includeOnlyCopyActions` - `true` if the group only includes the copy actions, `false` to include all actions
Since:
  3.7

### CCPActionGroup

public CCPActionGroup(org.eclipse.ui.IViewPart part)
Creates a new `CCPActionGroup`. The group requires that the selection provided by the view part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### CCPActionGroup

public CCPActionGroup(org.eclipse.ui.part.Page page)
Creates a new `CCPActionGroup`. The group requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group

### CCPActionGroup

public CCPActionGroup(org.eclipse.ui.IWorkbenchSite site, org.eclipse.jface.viewers.ISelectionProvider specialSelectionProvider)
Creates a new `CCPActionGroup`. The group requires that the selection provided by the given selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site that will own the action group.
  `specialSelectionProvider` - the selection provider used instead of the sites selection provider.
Since:
  3.4

## Method Details

### getDeleteAction

public org.eclipse.jface.action.IAction getDeleteAction()
Returns the delete action managed by this action group.

Returns:
  the delete action. Returns `null` if the group doesn't provide any delete action

### fillActionBars

public void fillActionBars(org.eclipse.ui.IActionBars actionBars)

Overrides:
  `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`

### fillContextMenu

public void fillContextMenu(org.eclipse.jface.action.IMenuManager menu)

Overrides:
  `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

### dispose

public void dispose()

Overrides:
  `dispose` in class `org.eclipse.ui.actions.ActionGroup`